org.apache.ignite.internal.util.lang.gridfunc

## Class NoOpClosure

- java.lang.Object
- - org.apache.ignite.internal.util.lang.GridAbsClosure
  - - org.apache.ignite.internal.util.lang.gridfunc.NoOpClosure

All Implemented Interfaces:
  Serializable, Runnable, IgniteRunnable

    public class NoOpClosure
    extends GridAbsClosure

Absolute closure that does nothing.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`NoOpClosure()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `apply()` Absolute closure body.
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.util.lang.GridAbsClosure

`run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NoOpClosure

    public NoOpClosure()

### Method Detail

#### apply

    public void apply()

Absolute closure body.

Specified by:
  `apply` in class `GridAbsClosure`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021